summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorGabriele Giacone <1o5g4r8o@gmail.com>2014-08-20 15:48:19 +0200
committerHolger Levsen <holger@layer-acht.org>2014-08-20 10:13:07 -0400
commit308e08a30ae01254aeec19c366001c7c8186159b (patch)
tree783322156e3519d395e0c5d1621fe2e70c52cedc /bin
parent7f066787fa09c331057b3b0c143d44338fb6f975 (diff)
downloadjenkins.debian.net-308e08a30ae01254aeec19c366001c7c8186159b.tar.xz
Workaround swap signature detection, zero'ing LVs.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/g-i-installation.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index 475ac8d5..56aa6464 100755
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -130,6 +130,8 @@ bootstrap_system() {
cd $WORKSPACE
echo "Creating throw-away logical volume with ${DISKSIZE_IN_GB} GiB now."
sudo lvcreate -L${DISKSIZE_IN_GB}G -n $NAME $VG
+ echo "Workaround to remove swap signature from previous installs, see #757818"
+ time sudo dd if=/dev/zero of=$LV bs=4096 || true
echo "Creating raw disk image with ${DISKSIZE_IN_GB} GiB now."
sudo qemu-img create -f raw $LV ${DISKSIZE_IN_GB}G
echo "Doing g-i installation test for $NAME now."